Bug 116747 - redhat-config-printer support for margin alignment
redhat-config-printer support for margin alignment
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: redhat-config-printer (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-24 16:15 EST by Asgeir Nilsen
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-12 11:04:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Asgeir Nilsen 2004-02-24 16:15:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
My Okidata OL600ex, using the Ghostscript ljet2p driver, needs special
Margins and .HWMargins definitions in order to place the text where it
ought to be.

I have been using the linuxprinting.org alignmargins + align.ps for
this with great success earlier on my RH 7.3 install.

However, after upgrading to Yarrow, redhat-config-printer regenerates
the CUPS configuration (including .ppd files) each time the cups
service starts.

The Custom Margin configuration which alignmargins creates is then
removed.

Ideally, I would like a similar functionality implemented from within
redhat-config-printer (possibly with more intuitive instructions than
those from align.ps).

In addition, it should be possible to register this in the printer
database, so that others can benefit from my experience with this printer.

If redhat-config-printer already supports this, there certainly lacks
some documentation about the matter.

Version-Release number of selected component (if applicable):
redhat-config-printer-0.6.79.5-1 cups-1.1.19-13

How reproducible:
Always

Steps to Reproduce:
1. Run alignmargins
2. service cups restart
3. Margins lost
    

Actual Results:  The Margins configuration is reset to default values.

Expected Results:  The Margins configuration should be retained.

Additional info:

http://www.linuxprinting.org/cups-doc.html "6. Adjust the print margins"
Comment 1 Matthew Miller 2006-07-11 13:33:41 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 2 Tim Waugh 2006-07-12 11:04:41 EDT
In FC6 CUPS configuration will no longer be generated from separate
configuration files; instead CUPS is configured directly.

Note You need to log in before you can comment on or make changes to this bug.